(function() {
    
    var personalController = function($scope, $log, $routeParams, elionFactory, Current) {
        var EID = $routeParams.EID;
        $scope.personal = [];
        $scope.Current = Current;
        if (typeof $routeParams.EID === 'undefined')
        {
            EID = Current.EID;
        } else {
            Current.EID = EID;
        }
//        $log.log("PersonalController" + EID );
        function init() {
             elionFactory.getPersonal(EID)
                 .success(function(personal) {
                    $scope.personal = personal;
                })
                .error(function(data, status, headers, config) {
                    //handle error
                 $log.log(data.error + ' ' + status);
                });
        }        
        
        init();
    };
    
    personalController.$inject = ['$scope', '$log', '$routeParams', 'elionFactory', 'Current'];

    angular.module('elionApp')
      .controller('personalController', personalController);
    
}());